/* =============== BOUTONS & LIENS VIOLET ÉLECTRIQUE =============== */
button,
.btn-primary, 
.navbar-content li a,
.connecterBtn {

    justify-content: center;
    font-family: inherit;
    cursor: pointer;
    font-weight: 500;
    font-size: 12px;
    padding: 0.7em 1.4em;
    color: white;
    border: none;
    background: #22305d; /* IMPORTANT */
    box-shadow: 0 0.5em 1em -0.5em #344b92;
    letter-spacing: 0.05em;
    border-radius: 8px;
    text-decoration: none;
}
.menu-button {
    display: flex;
    align-items: center;
    font-family: inherit;
    cursor: pointer;
    font-weight: 500;
    font-size: 16px;
    padding: 0.7em 1.4em;
    color: white;
    border: none;
    box-shadow: 0 0.5em 1em -0.5em #344b92;
    letter-spacing: 0.05em;
    border-radius: 8px;
}


button:hover, 
.btn-primary:hover, 
.navbar-content li a:hover {
    color: #ffffff;
    background-color: var(--accent-alt); /* Bleu profond au survol */
}

/* Cas spécifique du bouton se connecter */
.connecterBtn {
    background-color: rgba(128, 128, 128, 0.322);
    color: white;
}

.connecterBtn:hover {
    background-color: var(--accent-alt);
    color: #ffffff;
}

/* =============== UNIFORMISATION DES BOUTONS SIDEBAR =============== */

.navbar-content li {
    width: 100%; /* Le conteneur prend toute la largeur de la sidebar[cite: 10] */
}

.navbar-content li a {
    display: flex; /* Change inline-flex en flex pour occuper l'espace[cite: 10] */
    width: 100%;  /* Force le bouton à prendre 100% de la largeur du <li>[cite: 10] */
    box-sizing: border-box; /* Garantit que le padding n'élargit pas le bouton au-delà des 100% */
    min-width: 180px; /* Optionnel : définit une taille minimale identique pour tous */
}

.auth-buttons {
    display: flex;
    align-items: center;
    gap: 8px
}

.profilBtn {
    display: flex;
    align-items: center;
    justify-content: center;
    font-family: inherit;
    cursor: pointer;
    font-weight: 500;
    font-size: 12px;
    padding: 0.5em 0.8em;
    color: white;
    border: none;
    background: #22305d;
    box-shadow: 0 0.5em 1em -0.5em #344b92;
    letter-spacing: 0.05em;
    border-radius: 8px;
}

/* L'image à l'intérieur du bouton */
.profilBtn img {
    width: 32px;
    height: 32px;
    border-radius: 50%;
    object-fit: cover;
    margin-right: 6px;
}